import 'package:flutter/material.dart';

String environment = 'PROD';

const alpha = 255;

Map<String, Color> primaryColorsEnvironment = {
  'DEV': const Color(0xffb20006),
  'QAHX': const Color(0xff7a00b2),
  'QA': const Color(0xff15b200),
  'HOM': const Color(0xffb2007a),
  'PROD': const Color(0xff0093B2),
};

Map<String, Color> secondaryColorsEnvironment = {
  'DEV': const Color(0xfff20202),
  'QAHX': const Color(0xffa602f2),
  'QA': const Color(0xff19d600),
  'HOM': const Color(0xffcc008b),
  'PROD': const Color(0xff02C6F2),
};

Map<String, Color> tertiaryColorsEnvironment = {
  'DEV': const Color(0xfffbbfbf),
  'QAHX': const Color(0xffe7befa),
  'QA': const Color(0xffc5fabe),
  'HOM': const Color(0xfffabee7),
  'PROD': const Color(0xffBFF0FB),
};

Map<String, Color> complementaryColorsEnvironment = {
  'DEV': const Color(0xff8f0000),
  'QAHX': const Color(0xff62008f),
  'QA': const Color(0xff118f00),
  'HOM': const Color(0xff8f0062),
  'PROD': const Color(0xff004a8f),
};

String setColorsByEnvironment(String newEnvironment) {
  return environment = newEnvironment;
}

Map<int, Color> primaryShades = {
  50: kcPrimaryColor.withOpacity(0.1),
  100: kcPrimaryColor.withOpacity(0.2),
  200: kcPrimaryColor.withOpacity(0.3),
  300: kcPrimaryColor.withOpacity(0.4),
  400: kcPrimaryColor.withOpacity(0.5),
  500: kcPrimaryColor.withOpacity(0.6),
  600: kcPrimaryColor.withOpacity(0.7),
  700: kcPrimaryColor.withOpacity(0.8),
  800: kcPrimaryColor.withOpacity(0.9),
  900: kcPrimaryColor.withOpacity(1),
};

MaterialColor kcPrimaryMaterialColor = MaterialColor(kcPrimaryColor.value, primaryShades);

Color kcPrimaryColor = primaryColorsEnvironment[environment]!;
Color kcSecondaryColor = secondaryColorsEnvironment[environment]!;
Color kcTertiaryColor = tertiaryColorsEnvironment[environment]!;
const Color kcBackgroundColor = Color(0xffFFFFFF);
List<Color> kcPrimaryGradient = [
  kcPrimaryColor,
  kcSecondaryColor
];

List<Color> kcBackgroundGradient = [
  kcPrimaryColor,
  kcSecondaryColor,
  kcSecondaryColor,
  complementaryColorsEnvironment[environment]!,
];

const Color kcDisabled = Color(0xffC4C4C4);
const Color kcSuccess = Color(0xff55AE69);
const Color kcWarning = Color(0xffACAE55);
const Color kcError = Color(0xffCE5858);

const Color kcLightGrey = Color(0xffECECEC);
const Color kcGrey = Color(0xffCCCCCC);
const Color kcDarkGrey = Color(0xff8F8F8F);

const Color kcMainText = Color(0xff333333);
const Color kcSecondaryText = Color(0xff6B6B6B);

const Color kcDarkThemeGrey = Color(0xff484848);
