import 'package:flutter/material.dart';
import 'package:hx_components_flutter/hx_components.dart';
import 'package:hx_components_flutter/src/shared/app_colors.dart';

class HxChip extends StatelessWidget {
  final String title;
  final VoidCallback? onTap;

  const HxChip({
    required this.title,
    this.onTap,
  });

  @override
  Widget build(BuildContext context) {
    return InkWell(
      borderRadius: BorderRadius.circular(15.0),
      onTap: onTap,
      splashColor: kcPrimaryColor,
      child: Ink(
        decoration: BoxDecoration(
          color: kcGrey,
          borderRadius: BorderRadius.circular(15.0),
        ),
        child: Padding(
          padding: const EdgeInsets.symmetric(horizontal: 12.0, vertical: 8.0),
          child: HxText(title),
        ),
      ),
    );
  }
}
