import 'package:flutter/material.dart';
import 'package:hx_components_flutter/hx_components.dart';
import 'package:hx_components_flutter/hx_utils.dart';

class HxInvisibleTextExposer extends StatelessWidget {
  final String title;
  final String? info;
  final Color titleColor;
  final Color contentColor;
  final bool isLoading;

  const HxInvisibleTextExposer({
    super.key,
    required this.title,
    this.info,
    this.titleColor = kcDarkGrey,
    this.contentColor = kcMainText,
    this.isLoading = false,
  });

  const HxInvisibleTextExposer.inverted({
    super.key,
    required this.title,
    this.info,
    this.titleColor = kcMainText,
    this.contentColor = kcDarkGrey,
    this.isLoading = false,
  });

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        HxText(title, color: titleColor),
        if (isLoading)
          Padding(
            padding: const EdgeInsets.all(4.5),
            child: SizedBox(
              height: 12,
              width: 12,
              child: CircularProgressIndicator(
                color: kcPrimaryColor,
                strokeWidth: 2,
              ),
            ),
          )
        else
          HxText(info ?? ' -', color: contentColor),
      ],
    );
  }
}
